#### D.15.25.5 sPiece

Procedure from library `stanleyreisner.lib` (see stanleyreisner_lib).

Assume:
  I is the ideal generated by the monomials w.r.t. faces, a-b is the degree of the graded piece.

Return:
  graded piece (of degree a-b) of second order deformation on ideal I.

Theory:
  The procedure will compute the graded pieces of the second order deformaiton which has degree (a-b).

Example:

    LIB "stanleyreisner.lib";
    ring R=0,(x(1..4)),lp;
    ideal i=x(1),x(2),x(3),x(4),x(1)*x(4),x(2)*x(4),x(1)*x(3),x(2)*x(3);
    SecondOrderDeformation psi=sPiece(i,x(4)^2,x(1)*x(2));
    psi;
    ==> phi.relations  ->  phi.over/phi.source
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.